<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\WssField;



class WssFieldBelegungFeldAusblendenExternerKursBlak extends WssField
{
  protected function getValue($datamodulWert, $isFormular = false)
  {
    if (\DBWorkBASysSettings::isBlak() && $datamodulWert->kurs->kursauswahl2 == 'W') {
      return '';
    }

    return parent::getValue($datamodulWert, $isFormular);
  }
}